Skip to content

List published dashboards visible to the current actor.

GET
/api/workspace/reporting/dashboards
curl --request GET \
--url https://example.com/api/workspace/reporting/dashboards \
--header 'Authorization: Bearer <token>'
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data
Array<object>
nullable

Runtime dashboard item visible to the current actor.

object
Id

Dashboard definition id.

string
nullable
Key

Dashboard key.

string
nullable
Title

Dashboard title.

string
nullable
Description

Dashboard description.

string
nullable
Priority

Dashboard ordering priority.

integer format: int32
PublishedVersionNumber

Current published version number.

integer format: int32
Type

How a dashboard renders its runtime surface.

integer format: int32
Allowed values: 0 1
WorkspaceUiPageKey

Workspace UI page key for page-type dashboards.

string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": [
{
"Type": 0
}
],
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data
Array<object>
nullable

Runtime dashboard item visible to the current actor.

object
Id

Dashboard definition id.

string
nullable
Key

Dashboard key.

string
nullable
Title

Dashboard title.

string
nullable
Description

Dashboard description.

string
nullable
Priority

Dashboard ordering priority.

integer format: int32
PublishedVersionNumber

Current published version number.

integer format: int32
Type

How a dashboard renders its runtime surface.

integer format: int32
Allowed values: 0 1
WorkspaceUiPageKey

Workspace UI page key for page-type dashboards.

string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": [
{
"Type": 0
}
],
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}